Index: src/sas/sasgui/perspectives/fitting/basepage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/basepage.py	(revision f22b43c5dab96bd151987be4415dee98e74b2c29)
+++ src/sas/sasgui/perspectives/fitting/basepage.py	(revision f22b43c5dab96bd151987be4415dee98e74b2c29)
@@ -1397,5 +1397,5 @@
         self.state.npts = self.npts_x
 
-    def _onparamEnter_helper(self, is_modified=False):
+    def _onparamEnter_helper(self,is_modified = False):
         """
         check if values entered by the user are changed and valid to replot
@@ -3053,4 +3053,6 @@
         """
         content = ''
+        bound_hi = ''
+        bound_lo = ''
         # go through the str params
         for item in param:
@@ -3084,4 +3086,12 @@
                     value = item[2].GetValue()
 
+            # Bounds
+            try:
+                bound_lo = item[5].GetValue()
+                bound_hi = item[6].GetValue()
+            except Exception:
+                # harmless - need to just pass
+                pass
+
             # add to the content
             if disfunc != '':
@@ -3099,5 +3109,7 @@
             except Exception:
                 logging.error(traceback.format_exc())
-            content += name + ',' + str(check) + ',' + value + disfunc + ':'
+            content += name + ',' + str(check) + ',' +\
+                    value + disfunc + ',' + bound_lo + ',' +\
+                    bound_hi + ':'
 
         return content
@@ -3150,12 +3162,19 @@
                 # Transfer the text to content[dictionary]
                 context[name] = [check, value]
+
+                # limits
+                limit_lo = item[3]
+                context[name].append(limit_lo)
+                limit_hi = item[4]
+                context[name].append(limit_hi)
+
             # ToDo: PlugIn this poly disp function for pasting
             try:
-                poly_func = item[3]
+                poly_func = item[5]
                 context[name].append(poly_func)
                 try:
                     # take the vals and weights for  array
-                    array_values = item[4].split(' ')
-                    array_weights = item[5].split(' ')
+                    array_values = item[6].split(' ')
+                    array_weights = item[7].split(' ')
                     val = [float(a_val) for a_val in array_values[1:]]
                     weit = [float(a_weit) for a_weit in array_weights[1:]]
@@ -3205,6 +3224,8 @@
                 name = item[1]
                 if name in content.keys():
-                    check = content[name][0]
-                    pd = content[name][1]
+                    values = content[name]
+                    check = values[0]
+                    pd = values[1]
+
                     if name.count('.') > 0:
                         # If this is parameter.width, then pd may be a floating
@@ -3229,4 +3250,10 @@
                             fun_val = self.model.fun_list[content[name][1]]
                             self.model.setParam(name, fun_val)
+                    try:
+                        item[5].SetValue(str(values[-3]))
+                        item[6].SetValue(str(values[-2]))
+                    except Exception:
+                        # passing as harmless non-update
+                        pass
 
                     value = content[name][1:]
@@ -3273,4 +3300,11 @@
                                 self.model.setParam(name, fun_val)
                                 # save state
+                        try:
+                            item[5].SetValue(str(value[-3]))
+                            item[6].SetValue(str(value[-2]))
+                        except Exception:
+                            # passing as harmless non-update
+                            pass
+
                         self._paste_poly_help(item, value)
                         if check == 'True':
@@ -3307,5 +3341,5 @@
         """
         # Do nothing if not setting polydispersity
-        if len(value[1]) == 0:
+        if len(value[3]) == 0:
             return
 
Index: src/sas/sasgui/perspectives/fitting/fitpage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitpage.py	(revision 8662a587350e2b5ad37342ca1d19a5aeb0e7fe8c)
+++ src/sas/sasgui/perspectives/fitting/fitpage.py	(revision 3bec50ae2f0e34d160b7c5524ce22736baa10388)
@@ -998,5 +998,5 @@
         flag,is_modified = self._update_paramv_on_fit()
 
-        wx.CallAfter(self._onparamEnter_helper(is_modified))
+        wx.CallAfter(self._onparamEnter_helper,is_modified)
         if not flag:
             msg = "The parameters are invalid"
